<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class OrderLookupResponse extends AbstractResponse {

    /**
     * The status that indicates whether the order ID is valid.
     */
    public int $status;

    /**
     * An array of in-app purchase transactions that are part of order, signed by Apple, in JSON Web Signature format.
     * @var JWSTransaction[]
     */
    public array $signedTransactions;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedTransactions':
                return array_map(function ($signedTransaction) {
                    return new JWSTransaction(Util::unsafeDecodeJWS($signedTransaction));
                }, $value);
            default:
                return $value;
        }
    }

}